Вы находитесь в режиме поиска по сайту.
24
марта
2020
16:19

Устранение ошибки в Sparky Linux «Следующие подписи не могут быть проверены, так как недоступен открытый ключ: NO_PUBKEY»

24 марта 2020 16:19

Как известно, большинство Debian-подобных дистрибутивов обновляются следующими двумя командами: sudo apt-get update && sudo apt-get upgrade. Дистрибутив Sparky Linux - не исключение из этого правила. Однако, при обычном обновлении системы команда apt-get update может выдать непредвиденную ошибку:

"https://repo.sparkylinux.org core InRelease Следующие подписи не могут быть проверены, так как недоступен открытый ключ: NO_PUBKEY ..."

Причина возникновения ошибки NO_PUBKEY - смена GPG ключа, которым подписаны файлы в репозитории. Этот же публичный ключ используется на клиентском компьютере для проверки подписей пакетов перед их установкой.

Способ решения

заключается в скачивании и установке нового публичного ключа, которым подписаны пакеты репозитория.

wget https://repo.sparkylinux.org/sparky.gpg.key -O gpg.key

sudo apt-key add gpg.key

После того, как ключ добавлен, можно выполнять обычные команды для обновления версий пакетов дистрибутива.
Теперь они будут выполняться без ошибок:

sudo apt-get update

sudo apt-get upgrade

Совет:

Если терминал QTerminal немедленно закрывается после потери фокуса ввода (то есть при переключении на другое окно), значит Вы используете сокращенную версию "QTerminal Drop-down". Следует удалить с панели задач ярлык "QTerminal Drop-down" и перетащить из главного меню системы на панель задач ярлык полной версии программы: "QTerminal".

Комментарии: 0


Похожие публикации